| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DataReaderQos Class Reference
eProsima Fast DDS API Reference » DDS Public API » Fast DDS Quality of Service (QoS) Module.

Class DataReaderQos, containing all the possible Qos that can be set for a determined DataReader. More...

`#include <DataReaderQos.hpp>`

Inheritance diagram for DataReaderQos:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | DataReaderQos ()
| Constructor.
FASTDDS_EXPORTED_API bool | operator== (const DataReaderQos &b) const
FASTDDS_EXPORTED_API ReaderQos | get_readerqos (const SubscriberQos &sqos) const
FASTDDS_EXPORTED_API DurabilityQosPolicy & | durability ()
| Getter for DurabilityQosPolicy.
FASTDDS_EXPORTED_API const DurabilityQosPolicy & | durability () const
| Getter for DurabilityQosPolicy.
FASTDDS_EXPORTED_API void | durability (const DurabilityQosPolicy &new_value)
| Setter for DurabilityQosPolicy.
FASTDDS_EXPORTED_API DeadlineQosPolicy & | deadline ()
| Getter for DeadlineQosPolicy.
FASTDDS_EXPORTED_API const DeadlineQosPolicy & | deadline () const
| Getter for DeadlineQosPolicy.
FASTDDS_EXPORTED_API void | deadline (const DeadlineQosPolicy &new_value)
| Setter for DeadlineQosPolicy.
FASTDDS_EXPORTED_API LatencyBudgetQosPolicy & | latency_budget ()
| Getter for LatencyBudgetQosPolicy.
FASTDDS_EXPORTED_API const LatencyBudgetQosPolicy & | latency_budget () const
| Getter for LatencyBudgetQosPolicy.
FASTDDS_EXPORTED_API void | latency_budget (const LatencyBudgetQosPolicy &new_value)
| Setter for LatencyBudgetQosPolicy.
FASTDDS_EXPORTED_API LivelinessQosPolicy & | liveliness ()
| Getter for LivelinessQosPolicy.
FASTDDS_EXPORTED_API const LivelinessQosPolicy & | liveliness () const
| Getter for LivelinessQosPolicy.
FASTDDS_EXPORTED_API void | liveliness (const LivelinessQosPolicy &new_value)
| Setter for LivelinessQosPolicy.
FASTDDS_EXPORTED_API ReliabilityQosPolicy & | reliability ()
| Getter for ReliabilityQosPolicy.
FASTDDS_EXPORTED_API const ReliabilityQosPolicy & | reliability () const
| Getter for ReliabilityQosPolicy.
FASTDDS_EXPORTED_API void | reliability (const ReliabilityQosPolicy &new_value)
| Setter for ReliabilityQosPolicy.
FASTDDS_EXPORTED_API DestinationOrderQosPolicy & | destination_order ()
| Getter for DestinationOrderQosPolicy.
FASTDDS_EXPORTED_API const DestinationOrderQosPolicy & | destination_order () const
| Getter for DestinationOrderQosPolicy.
FASTDDS_EXPORTED_API void | destination_order (const DestinationOrderQosPolicy &new_value)
| Setter for DestinationOrderQosPolicy.
FASTDDS_EXPORTED_API HistoryQosPolicy & | history ()
| Getter for HistoryQosPolicy.
FASTDDS_EXPORTED_API const HistoryQosPolicy & | history () const
| Getter for HistoryQosPolicy.
FASTDDS_EXPORTED_API void | history (const HistoryQosPolicy &new_value)
| Setter for HistoryQosPolicy.
FASTDDS_EXPORTED_API ResourceLimitsQosPolicy & | resource_limits ()
| Getter for ResourceLimitsQosPolicy.
FASTDDS_EXPORTED_API const ResourceLimitsQosPolicy & | resource_limits () const
| Getter for ResourceLimitsQosPolicy.
FASTDDS_EXPORTED_API void | resource_limits (const ResourceLimitsQosPolicy &new_value)
| Setter for ResourceLimitsQosPolicy.
FASTDDS_EXPORTED_API UserDataQosPolicy & | user_data ()
| Getter for UserDataQosPolicy.
FASTDDS_EXPORTED_API const UserDataQosPolicy & | user_data () const
| Getter for UserDataQosPolicy.
FASTDDS_EXPORTED_API void | user_data (const UserDataQosPolicy &new_value)
| Setter for UserDataQosPolicy.
FASTDDS_EXPORTED_API OwnershipQosPolicy & | ownership ()
| Getter for OwnershipQosPolicy.
FASTDDS_EXPORTED_API const OwnershipQosPolicy & | ownership () const
| Getter for OwnershipQosPolicy.
FASTDDS_EXPORTED_API void | ownership (const OwnershipQosPolicy &new_value)
| Setter for OwnershipQosPolicy.
FASTDDS_EXPORTED_API TimeBasedFilterQosPolicy & | time_based_filter ()
| Getter for TimeBasedFilterQosPolicy.
FASTDDS_EXPORTED_API const TimeBasedFilterQosPolicy & | time_based_filter () const
| Getter for TimeBasedFilterQosPolicy.
FASTDDS_EXPORTED_API void | time_based_filter (const TimeBasedFilterQosPolicy &new_value)
| Setter for TimeBasedFilterQosPolicy.
FASTDDS_EXPORTED_API ReaderDataLifecycleQosPolicy & | reader_data_lifecycle ()
| Getter for ReaderDataLifecycleQosPolicy.
FASTDDS_EXPORTED_API const ReaderDataLifecycleQosPolicy & | reader_data_lifecycle () const
| Getter for ReaderDataLifecycleQosPolicy.
FASTDDS_EXPORTED_API void | reader_data_lifecycle (const ReaderDataLifecycleQosPolicy &new_value)
| Setter for ReaderDataLifecycleQosPolicy.
FASTDDS_EXPORTED_API LifespanQosPolicy & | lifespan ()
| Getter for LifespanQosPolicy.
FASTDDS_EXPORTED_API const LifespanQosPolicy & | lifespan () const
| Getter for LifespanQosPolicy.
FASTDDS_EXPORTED_API void | lifespan (const LifespanQosPolicy &new_value)
| Setter for LifespanQosPolicy.
FASTDDS_EXPORTED_API DurabilityServiceQosPolicy & | durability_service ()
| Getter for DurabilityServiceQosPolicy.
FASTDDS_EXPORTED_API const DurabilityServiceQosPolicy & | durability_service () const
| Getter for DurabilityServiceQosPolicy.
FASTDDS_EXPORTED_API void | durability_service (const DurabilityServiceQosPolicy &new_value)
| Setter for DurabilityServiceQosPolicy.
FASTDDS_EXPORTED_API RTPSReliableReaderQos & | reliable_reader_qos ()
| Getter for RTPSReliableReaderQos.
FASTDDS_EXPORTED_API const RTPSReliableReaderQos & | reliable_reader_qos () const
| Getter for RTPSReliableReaderQos.
FASTDDS_EXPORTED_API void | reliable_reader_qos (const RTPSReliableReaderQos &new_value)
| Setter for RTPSReliableReaderQos.
FASTDDS_EXPORTED_API TypeConsistencyEnforcementQosPolicy & | type_consistency ()
| Getter for TypeConsistencyEnforcementQosPolicy.
FASTDDS_EXPORTED_API const TypeConsistencyEnforcementQosPolicy & | type_consistency () const
| Getter for TypeConsistencyEnforcementQosPolicy.
FASTDDS_EXPORTED_API void | type_consistency (const TypeConsistencyEnforcementQosPolicy &new_value)
| Setter for TypeConsistencyEnforcementQosPolicy.
FASTDDS_EXPORTED_API const DataRepresentationQosPolicy & | representation () const
| Getter for DataRepresentationQosPolicy.
FASTDDS_EXPORTED_API DataRepresentationQosPolicy & | representation ()
| Getter for DataRepresentationQosPolicy.
FASTDDS_EXPORTED_API void | representation (const DataRepresentationQosPolicy &representation)
| Setter for DataRepresentationQosPolicy.
FASTDDS_EXPORTED_API bool | expects_inline_qos () const
| Getter for expects_inline_qos.
FASTDDS_EXPORTED_API void | expects_inline_qos (bool new_value)
| Setter for expects_inline_qos.
FASTDDS_EXPORTED_API PropertyPolicyQos & | properties ()
| Getter for PropertyPolicyQos.
FASTDDS_EXPORTED_API const PropertyPolicyQos & | properties () const
| Getter for PropertyPolicyQos.
FASTDDS_EXPORTED_API void | properties (const PropertyPolicyQos &new_value)
| Setter for PropertyPolicyQos.
FASTDDS_EXPORTED_API RTPSEndpointQos & | endpoint ()
| Getter for RTPSEndpointQos.
FASTDDS_EXPORTED_API const RTPSEndpointQos & | endpoint () const
| Getter for RTPSEndpointQos.
FASTDDS_EXPORTED_API void | endpoint (const RTPSEndpointQos &new_value)
| Setter for RTPSEndpointQos.
FASTDDS_EXPORTED_API ReaderResourceLimitsQos & | reader_resource_limits ()
| Getter for ReaderResourceLimitsQos.
FASTDDS_EXPORTED_API const ReaderResourceLimitsQos & | reader_resource_limits () const
| Getter for ReaderResourceLimitsQos.
FASTDDS_EXPORTED_API void | reader_resource_limits (const ReaderResourceLimitsQos &new_value)
| Setter for ReaderResourceLimitsQos.
FASTDDS_EXPORTED_API DataSharingQosPolicy & | data_sharing ()
| Getter for DataSharingQosPolicy.
FASTDDS_EXPORTED_API const DataSharingQosPolicy & | data_sharing () const
| Getter for DataSharingQosPolicy.
FASTDDS_EXPORTED_API void | data_sharing (const DataSharingQosPolicy &data_sharing)
| Setter for DataSharingQosPolicy.

## Detailed Description

Class DataReaderQos, containing all the possible Qos that can be set for a determined DataReader.

Although these values can be set and are transmitted during the Endpoint Discovery Protocol, not all of the behaviour associated with them has been implemented in the library. Please consult each of them to check for implementation details and default values.

## Constructor & Destructor Documentation

## ◆ DataReaderQos()

FASTDDS_EXPORTED_API DataReaderQos | ( |  | ) |

inline

Constructor.

## Member Function Documentation

## ◆ data_sharing() [1/3]

FASTDDS_EXPORTED_API DataSharingQosPolicy & data_sharing | ( |  | ) |

inline

Getter for DataSharingQosPolicy.

Returns
  DataSharingQosPolicy reference

## ◆ data_sharing() [2/3]

FASTDDS_EXPORTED_API const DataSharingQosPolicy & data_sharing | ( |  | ) | const

inline

Getter for DataSharingQosPolicy.

Returns
  DataSharingQosPolicy reference

## ◆ data_sharing() [3/3]

FASTDDS_EXPORTED_API void data_sharing | ( | const DataSharingQosPolicy & | data_sharing | ) |

inline

Setter for DataSharingQosPolicy.

Parameters

  data_sharing | new value for the DataSharingQosPolicy

## ◆ deadline() [1/3]

FASTDDS_EXPORTED_API DeadlineQosPolicy & deadline | ( |  | ) |

inline

Getter for DeadlineQosPolicy.

Returns
  DeadlineQosPolicy reference

## ◆ deadline() [2/3]

FASTDDS_EXPORTED_API const DeadlineQosPolicy & deadline | ( |  | ) | const

inline

Getter for DeadlineQosPolicy.

Returns
  DeadlineQosPolicy const reference

## ◆ deadline() [3/3]

FASTDDS_EXPORTED_API void deadline | ( | const DeadlineQosPolicy & | new_value | ) |

inline

Setter for DeadlineQosPolicy.

Parameters

  new_value | new value for the DeadlineQosPolicy

## ◆ destination_order() [1/3]

FASTDDS_EXPORTED_API DestinationOrderQosPolicy & destination_order | ( |  | ) |

inline

Getter for DestinationOrderQosPolicy.

Returns
  DestinationOrderQosPolicy reference

## ◆ destination_order() [2/3]

FASTDDS_EXPORTED_API const DestinationOrderQosPolicy & destination_order | ( |  | ) | const

inline

Getter for DestinationOrderQosPolicy.

Returns
  DestinationOrderQosPolicy const reference

## ◆ destination_order() [3/3]

FASTDDS_EXPORTED_API void destination_order | ( | const DestinationOrderQosPolicy & | new_value | ) |

inline

Setter for DestinationOrderQosPolicy.

Parameters

  new_value | new value for the DestinationOrderQosPolicy

## ◆ durability() [1/3]

FASTDDS_EXPORTED_API DurabilityQosPolicy & durability | ( |  | ) |

inline

Getter for DurabilityQosPolicy.

Returns
  DurabilityQosPolicy reference

## ◆ durability() [2/3]

FASTDDS_EXPORTED_API const DurabilityQosPolicy & durability | ( |  | ) | const

inline

Getter for DurabilityQosPolicy.

Returns
  DurabilityQosPolicy const reference

## ◆ durability() [3/3]

FASTDDS_EXPORTED_API void durability | ( | const DurabilityQosPolicy & | new_value | ) |

inline

Setter for DurabilityQosPolicy.

Parameters

  new_value | new value for the DurabilityQosPolicy

## ◆ durability_service() [1/3]

FASTDDS_EXPORTED_API DurabilityServiceQosPolicy & durability_service | ( |  | ) |

inline

Getter for DurabilityServiceQosPolicy.

Returns
  DurabilityServiceQosPolicy reference

## ◆ durability_service() [2/3]

FASTDDS_EXPORTED_API const DurabilityServiceQosPolicy & durability_service | ( |  | ) | const

inline

Getter for DurabilityServiceQosPolicy.

Returns
  DurabilityServiceQosPolicy const reference

## ◆ durability_service() [3/3]

FASTDDS_EXPORTED_API void durability_service | ( | const DurabilityServiceQosPolicy & | new_value | ) |

inline

Setter for DurabilityServiceQosPolicy.

Parameters

  new_value | new value for the DurabilityServiceQosPolicy

## ◆ endpoint() [1/3]

FASTDDS_EXPORTED_API RTPSEndpointQos & endpoint | ( |  | ) |

inline

Getter for RTPSEndpointQos.

Returns
  RTPSEndpointQos reference

## ◆ endpoint() [2/3]

FASTDDS_EXPORTED_API const RTPSEndpointQos & endpoint | ( |  | ) | const

inline

Getter for RTPSEndpointQos.

Returns
  RTPSEndpointQos const reference

## ◆ endpoint() [3/3]

FASTDDS_EXPORTED_API void endpoint | ( | const RTPSEndpointQos & | new_value | ) |

inline

Setter for RTPSEndpointQos.

Parameters

  new_value | new value for the RTPSEndpointQos

## ◆ expects_inline_qos() [1/2]

FASTDDS_EXPORTED_API bool expects_inline_qos | ( |  | ) | const

inline

Getter for expects_inline_qos.

Returns
  expects_inline_qos

## ◆ expects_inline_qos() [2/2]

FASTDDS_EXPORTED_API void expects_inline_qos | ( | bool | new_value | ) |

inline

Setter for expects_inline_qos.

Parameters

  new_value | new value for the expects_inline_qos

## ◆ get_readerqos()

FASTDDS_EXPORTED_API ReaderQos get_readerqos | ( | const SubscriberQos & | sqos | ) | const

## ◆ history() [1/3]

FASTDDS_EXPORTED_API HistoryQosPolicy & history | ( |  | ) |

inline

Getter for HistoryQosPolicy.

Returns
  HistoryQosPolicy reference

## ◆ history() [2/3]

FASTDDS_EXPORTED_API const HistoryQosPolicy & history | ( |  | ) | const

inline

Getter for HistoryQosPolicy.

Returns
  HistoryQosPolicy const reference

## ◆ history() [3/3]

FASTDDS_EXPORTED_API void history | ( | const HistoryQosPolicy & | new_value | ) |

inline

Setter for HistoryQosPolicy.

Parameters

  new_value | new value for the HistoryQosPolicy

## ◆ latency_budget() [1/3]

FASTDDS_EXPORTED_API LatencyBudgetQosPolicy & latency_budget | ( |  | ) |

inline

Getter for LatencyBudgetQosPolicy.

Returns
  LatencyBudgetQosPolicy reference

## ◆ latency_budget() [2/3]

FASTDDS_EXPORTED_API const LatencyBudgetQosPolicy & latency_budget | ( |  | ) | const

inline

Getter for LatencyBudgetQosPolicy.

Returns
  LatencyBudgetQosPolicy const reference

## ◆ latency_budget() [3/3]

FASTDDS_EXPORTED_API void latency_budget | ( | const LatencyBudgetQosPolicy & | new_value | ) |

inline

Setter for LatencyBudgetQosPolicy.

Parameters

  new_value | new value for the LatencyBudgetQosPolicy

## ◆ lifespan() [1/3]

FASTDDS_EXPORTED_API LifespanQosPolicy & lifespan | ( |  | ) |

inline

Getter for LifespanQosPolicy.

Returns
  LifespanQosPolicy reference

## ◆ lifespan() [2/3]

FASTDDS_EXPORTED_API const LifespanQosPolicy & lifespan | ( |  | ) | const

inline

Getter for LifespanQosPolicy.

Returns
  LifespanQosPolicy const reference

## ◆ lifespan() [3/3]

FASTDDS_EXPORTED_API void lifespan | ( | const LifespanQosPolicy & | new_value | ) |

inline

Setter for LifespanQosPolicy.

Parameters

  new_value | new value for the LifespanQosPolicy

## ◆ liveliness() [1/3]

FASTDDS_EXPORTED_API LivelinessQosPolicy & liveliness | ( |  | ) |

inline

Getter for LivelinessQosPolicy.

Returns
  LivelinessQosPolicy reference

## ◆ liveliness() [2/3]

FASTDDS_EXPORTED_API const LivelinessQosPolicy & liveliness | ( |  | ) | const

inline

Getter for LivelinessQosPolicy.

Returns
  LivelinessQosPolicy const reference

## ◆ liveliness() [3/3]

FASTDDS_EXPORTED_API void liveliness | ( | const LivelinessQosPolicy & | new_value | ) |

inline

Setter for LivelinessQosPolicy.

Parameters

  new_value | new value for the LivelinessQosPolicy

## ◆ operator==()

FASTDDS_EXPORTED_API bool operator== | ( | const DataReaderQos & | b | ) | const

inline

## ◆ ownership() [1/3]

FASTDDS_EXPORTED_API OwnershipQosPolicy & ownership | ( |  | ) |

inline

Getter for OwnershipQosPolicy.

Returns
  OwnershipQosPolicy reference

## ◆ ownership() [2/3]

FASTDDS_EXPORTED_API const OwnershipQosPolicy & ownership | ( |  | ) | const

inline

Getter for OwnershipQosPolicy.

Returns
  OwnershipQosPolicy const reference

## ◆ ownership() [3/3]

FASTDDS_EXPORTED_API void ownership | ( | const OwnershipQosPolicy & | new_value | ) |

inline

Setter for OwnershipQosPolicy.

Parameters

  new_value | new value for the OwnershipQosPolicy

## ◆ properties() [1/3]

FASTDDS_EXPORTED_API PropertyPolicyQos & properties | ( |  | ) |

inline

Getter for PropertyPolicyQos.

Returns
  PropertyPolicyQos reference

## ◆ properties() [2/3]

FASTDDS_EXPORTED_API const PropertyPolicyQos & properties | ( |  | ) | const

inline

Getter for PropertyPolicyQos.

Returns
  PropertyPolicyQos const reference

## ◆ properties() [3/3]

FASTDDS_EXPORTED_API void properties | ( | const PropertyPolicyQos & | new_value | ) |

inline

Setter for PropertyPolicyQos.

Parameters

  new_value | new value for the PropertyPolicyQos

## ◆ reader_data_lifecycle() [1/3]

FASTDDS_EXPORTED_API ReaderDataLifecycleQosPolicy & reader_data_lifecycle | ( |  | ) |

inline

Getter for ReaderDataLifecycleQosPolicy.

Returns
  ReaderDataLifecycleQosPolicy reference

## ◆ reader_data_lifecycle() [2/3]

FASTDDS_EXPORTED_API const ReaderDataLifecycleQosPolicy & reader_data_lifecycle | ( |  | ) | const

inline

Getter for ReaderDataLifecycleQosPolicy.

Returns
  ReaderDataLifecycleQosPolicy const reference

## ◆ reader_data_lifecycle() [3/3]

FASTDDS_EXPORTED_API void reader_data_lifecycle | ( | const ReaderDataLifecycleQosPolicy & | new_value | ) |

inline

Setter for ReaderDataLifecycleQosPolicy.

Parameters

  new_value | new value for the ReaderDataLifecycleQosPolicy

## ◆ reader_resource_limits() [1/3]

FASTDDS_EXPORTED_API ReaderResourceLimitsQos & reader_resource_limits | ( |  | ) |

inline

Getter for ReaderResourceLimitsQos.

Returns
  ReaderResourceLimitsQos reference

## ◆ reader_resource_limits() [2/3]

FASTDDS_EXPORTED_API const ReaderResourceLimitsQos & reader_resource_limits | ( |  | ) | const

inline

Getter for ReaderResourceLimitsQos.

Returns
  ReaderResourceLimitsQos const reference

## ◆ reader_resource_limits() [3/3]

FASTDDS_EXPORTED_API void reader_resource_limits | ( | const ReaderResourceLimitsQos & | new_value | ) |

inline

Setter for ReaderResourceLimitsQos.

Parameters

  new_value | new value for the ReaderResourceLimitsQos

## ◆ reliability() [1/3]

FASTDDS_EXPORTED_API ReliabilityQosPolicy & reliability | ( |  | ) |

inline

Getter for ReliabilityQosPolicy.

Returns
  ReliabilityQosPolicy reference

## ◆ reliability() [2/3]

FASTDDS_EXPORTED_API const ReliabilityQosPolicy & reliability | ( |  | ) | const

inline

Getter for ReliabilityQosPolicy.

Returns
  ReliabilityQosPolicy const reference

## ◆ reliability() [3/3]

FASTDDS_EXPORTED_API void reliability | ( | const ReliabilityQosPolicy & | new_value | ) |

inline

Setter for ReliabilityQosPolicy.

Parameters

  new_value | new value for the ReliabilityQosPolicy

## ◆ reliable_reader_qos() [1/3]

FASTDDS_EXPORTED_API RTPSReliableReaderQos & reliable_reader_qos | ( |  | ) |

inline

Getter for RTPSReliableReaderQos.

Returns
  RTPSReliableReaderQos reference

## ◆ reliable_reader_qos() [2/3]

FASTDDS_EXPORTED_API const RTPSReliableReaderQos & reliable_reader_qos | ( |  | ) | const

inline

Getter for RTPSReliableReaderQos.

Returns
  RTPSReliableReaderQos const reference

## ◆ reliable_reader_qos() [3/3]

FASTDDS_EXPORTED_API void reliable_reader_qos | ( | const RTPSReliableReaderQos & | new_value | ) |

inline

Setter for RTPSReliableReaderQos.

Parameters

  new_value | new value for the RTPSReliableReaderQos

## ◆ representation() [1/3]

FASTDDS_EXPORTED_API DataRepresentationQosPolicy & representation | ( |  | ) |

inline

Getter for DataRepresentationQosPolicy.

Returns
  DataRepresentationQosPolicy reference

## ◆ representation() [2/3]

FASTDDS_EXPORTED_API const DataRepresentationQosPolicy & representation | ( |  | ) | const

inline

Getter for DataRepresentationQosPolicy.

Returns
  DataRepresentationQosPolicy reference

## ◆ representation() [3/3]

FASTDDS_EXPORTED_API void representation | ( | const DataRepresentationQosPolicy & | representation | ) |

inline

Setter for DataRepresentationQosPolicy.

Parameters

  representation | new value for the DataRepresentationQosPolicy

## ◆ resource_limits() [1/3]

FASTDDS_EXPORTED_API ResourceLimitsQosPolicy & resource_limits | ( |  | ) |

inline

Getter for ResourceLimitsQosPolicy.

Returns
  ResourceLimitsQosPolicy reference

## ◆ resource_limits() [2/3]

FASTDDS_EXPORTED_API const ResourceLimitsQosPolicy & resource_limits | ( |  | ) | const

inline

Getter for ResourceLimitsQosPolicy.

Returns
  ResourceLimitsQosPolicy const reference

## ◆ resource_limits() [3/3]

FASTDDS_EXPORTED_API void resource_limits | ( | const ResourceLimitsQosPolicy & | new_value | ) |

inline

Setter for ResourceLimitsQosPolicy.

Parameters

  new_value | new value for the ResourceLimitsQosPolicy

## ◆ time_based_filter() [1/3]

FASTDDS_EXPORTED_API TimeBasedFilterQosPolicy & time_based_filter | ( |  | ) |

inline

Getter for TimeBasedFilterQosPolicy.

Returns
  TimeBasedFilterQosPolicy reference

## ◆ time_based_filter() [2/3]

FASTDDS_EXPORTED_API const TimeBasedFilterQosPolicy & time_based_filter | ( |  | ) | const

inline

Getter for TimeBasedFilterQosPolicy.

Returns
  TimeBasedFilterQosPolicy const reference

## ◆ time_based_filter() [3/3]

FASTDDS_EXPORTED_API void time_based_filter | ( | const TimeBasedFilterQosPolicy & | new_value | ) |

inline

Setter for TimeBasedFilterQosPolicy.

Parameters

  new_value | new value for the TimeBasedFilterQosPolicy

## ◆ type_consistency() [1/3]

FASTDDS_EXPORTED_API TypeConsistencyEnforcementQosPolicy & type_consistency | ( |  | ) |

inline

Getter for TypeConsistencyEnforcementQosPolicy.

Returns
  TypeConsistencyEnforcementQosPolicy reference

## ◆ type_consistency() [2/3]

FASTDDS_EXPORTED_API const TypeConsistencyEnforcementQosPolicy & type_consistency | ( |  | ) | const

inline

Getter for TypeConsistencyEnforcementQosPolicy.

Returns
  TypeConsistencyEnforcementQosPolicy const reference

## ◆ type_consistency() [3/3]

FASTDDS_EXPORTED_API void type_consistency | ( | const TypeConsistencyEnforcementQosPolicy & | new_value | ) |

inline

Setter for TypeConsistencyEnforcementQosPolicy.

Parameters

  new_value | new value for the TypeConsistencyEnforcementQosPolicy

## ◆ user_data() [1/3]

FASTDDS_EXPORTED_API UserDataQosPolicy & user_data | ( |  | ) |

inline

Getter for UserDataQosPolicy.

Returns
  UserDataQosPolicy reference

## ◆ user_data() [2/3]

FASTDDS_EXPORTED_API const UserDataQosPolicy & user_data | ( |  | ) | const

inline

Getter for UserDataQosPolicy.

Returns
  UserDataQosPolicy const reference

## ◆ user_data() [3/3]

FASTDDS_EXPORTED_API void user_data | ( | const UserDataQosPolicy & | new_value | ) |

inline

Setter for UserDataQosPolicy.

Parameters

  new_value | new value for the UserDataQosPolicy

The documentation for this class was generated from the following file:

- include/fastdds/dds/subscriber/qos/DataReaderQos.hpp